summaryrefslogtreecommitdiffstats
path: root/libraries/qt5-webkit-legacy
diff options
context:
space:
mode:
author David Woodfall2018-08-25 00:21:01 +0200
committer Willy Sudiarto Raharjo2018-09-23 01:11:02 +0200
commit9e6f111254d5908801191604200254e59d3a7e02 (patch)
tree79cb98e0d8252807d0f75bb1d04b1a4815510b09 /libraries/qt5-webkit-legacy
parentfc730b801383c0943af4706fc1f9b83a7073e509 (diff)
downloadslackbuilds-9e6f111254d5908801191604200254e59d3a7e02.tar.gz
libraries/qt5-webkit-legacy: Added (Qt based web browser engine).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/qt5-webkit-legacy')
-rw-r--r--libraries/qt5-webkit-legacy/README7
-rw-r--r--libraries/qt5-webkit-legacy/doinst.sh9
-rw-r--r--libraries/qt5-webkit-legacy/platformplugin-install-path-fix.patch13
-rw-r--r--libraries/qt5-webkit-legacy/qt5-webkit-legacy.SlackBuild125
-rw-r--r--libraries/qt5-webkit-legacy/qt5-webkit-legacy.info10
-rw-r--r--libraries/qt5-webkit-legacy/slack-desc19
6 files changed, 183 insertions, 0 deletions
diff --git a/libraries/qt5-webkit-legacy/README b/libraries/qt5-webkit-legacy/README
new file mode 100644
index 0000000000..8f5e5cb3cd
--- /dev/null
+++ b/libraries/qt5-webkit-legacy/README
@@ -0,0 +1,7 @@
+QtWebkit is a Qt based web browser engine.
+
+This is the legacy version to use with qt5-legacy
+
+This package contains the Qt5 based version.
+
+Optional dependencies: libwebp
diff --git a/libraries/qt5-webkit-legacy/doinst.sh b/libraries/qt5-webkit-legacy/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/libraries/qt5-webkit-legacy/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/qt5-webkit-legacy/platformplugin-install-path-fix.patch b/libraries/qt5-webkit-legacy/platformplugin-install-path-fix.patch
new file mode 100644
index 0000000000..022166de66
--- /dev/null
+++ b/libraries/qt5-webkit-legacy/platformplugin-install-path-fix.patch
@@ -0,0 +1,13 @@
+diff -Naur qt-everywhere-opensource-src-5.0.2.orig/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro qt-everywhere-opensource-src-5.0.2/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro
+--- qt-everywhere-opensource-src-5.0.2.orig/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro 2013-04-09 00:11:38.000000000 +0000
++++ qt-everywhere-opensource-src-5.0.2/qtwebkit/Source/WebKit/qt/examples/platformplugin/platformplugin.pro 2013-05-31 01:18:29.157175082 +0000
+@@ -20,7 +20,8 @@
+ }
+ }
+
+-DESTDIR = $$[QT_INSTALL_PLUGINS]/webkit
++target.path = $$[QT_INSTALL_PLUGINS]/webkit
++INSTALLS += target
+
+ SOURCES += \
+ WebPlugin.cpp \
diff --git a/libraries/qt5-webkit-legacy/qt5-webkit-legacy.SlackBuild b/libraries/qt5-webkit-legacy/qt5-webkit-legacy.SlackBuild
new file mode 100644
index 0000000000..2c6f3d3680
--- /dev/null
+++ b/libraries/qt5-webkit-legacy/qt5-webkit-legacy.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Slackware build script for qt5-webkit-legacy
+
+# Now maintained by Dave Woodfall <dave@dawoodfall.net>
+
+# Copyright 2016-2017 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Some part of this SlackBuild is adapted from SBo and AlienBOB's qt5{-webkit} SlackBuild
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+PRGNAM=qt5-webkit-legacy
+SRCNAM=qtwebkit-opensource-src
+VERSION=${VERSION:-5.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+export QTDIR="/usr/lib$LIBDIRSUFFIX/qt5"
+export LD_LIBRARY_PATH="${QTDIR}/qtbase/lib:${QTDIR}/qttools/lib:${LD_LIBRARY_PATH}"
+
+# Install path fix for libplatformplugin.so.
+# https://bugs.webkit.org/show_bug.cgi?id=117077
+patch -p2 < $CWD/platformplugin-install-path-fix.patch
+
+if [ -d include ]; then
+ syncqt.pl -version $VERSION Source/sync.profile
+fi
+
+qmake-qt5 PREFIX="/usr" QMAKE_CFLAGS+="$SLKCFLAGS" QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ -o Makefile WebKit.pro
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Fix internal linking for Qt5WebKit.pc
+sed -i \
+ -e "s|-Wl,-whole-archive -lWebKit1 -Wl,-no-whole-archive -L${PWD}/Source/WebKit[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lWebKit2 -Wl,-no-whole-archive -L${PWD}/Source/WebKit2[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lWebCore -Wl,-no-whole-archive -L${PWD}/Source/WebCore[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lANGLE -Wl,-no-whole-archive -L${PWD}/Source/ThirdParty/ANGLE[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lleveldb -Wl,-no-whole-archive -L${PWD}/Source/ThirdParty/leveldb[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lJavaScriptCore -Wl,-no-whole-archive -L${PWD}/Source/JavaScriptCore[^ ]* ||" \
+ -e "s|-Wl,-whole-archive -lWTF -Wl,-no-whole-archive -L${PWD}/Source/WTF[^ ]* ||" \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/Qt5WebKit.pc
+
+# Fix the path in prl files:
+find "$PKG/usr/lib${LIBDIRSUFFIX}" -type f -name '*.prl' \
+ -exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog* LICENSE* VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/qt5-webkit-legacy/qt5-webkit-legacy.info b/libraries/qt5-webkit-legacy/qt5-webkit-legacy.info
new file mode 100644
index 0000000000..883bbe38ae
--- /dev/null
+++ b/libraries/qt5-webkit-legacy/qt5-webkit-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="qt5-webkit-legacy"
+VERSION="5.7.1"
+HOMEPAGE="https://www.qt.io"
+DOWNLOAD="https://download.qt.io/community_releases/5.7/5.7.1/qtwebkit-opensource-src-5.7.1.tar.xz"
+MD5SUM="4fa8f47383ce36d59dcc36d701ce93cd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5-legacy"
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/libraries/qt5-webkit-legacy/slack-desc b/libraries/qt5-webkit-legacy/slack-desc
new file mode 100644
index 0000000000..cba6dbffc4
--- /dev/null
+++ b/libraries/qt5-webkit-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qt5-webkit-legacy: qt5-webkit-legacy (Qt based web browser engine)
+qt5-webkit-legacy:
+qt5-webkit-legacy: QtWebkit is a Qt based web browser engine.
+qt5-webkit-legacy: This package contains the Qt5 based version.
+qt5-webkit-legacy:
+qt5-webkit-legacy: This is the legacy version that should be used with qt5-legacy.
+qt5-webkit-legacy:
+qt5-webkit-legacy: Homepage: https://www.qt.io
+qt5-webkit-legacy:
+qt5-webkit-legacy:
+qt5-webkit-legacy: